/*------------------------------------------------------------

    GLOBAL

------------------------------------------------------------*/

@media screen and (max-width: 797px) {

    .wow, .animated {
        animation-delay: initial !important;
    }
    
}

html {
    font-size: 15px;
}

body {
    margin: auto;
    color: #666;
    font-family: 'Open Sans';
    font-size: 1rem;
    line-height: 1.5;
    background-color: #dbb994;
    background-image: url(../img/bg-main.jpg);
    background-size: cover;
    background-position: 50%;
    background-attachment: fixed;
    overflow-x: hidden;
}

@media screen and (max-width: 797px) {

    body {
        background-size: initial;
        background-position: top center;
        background-attachment: scroll;
    }
    
}

body h1,
body h2,
body h3 {
    font-family: Merriweather;
}

a {
    transition: all .3s ease;
}

body .alert {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
    color: #666;
    font-sizE: 1.25rem;
    padding: 50px;
    width: 600px;
    max-width: 90%;
    border-radius: 0;
    text-align: center;
    background: #fff;
    box-shadow: 0 0 0 1000000px rgba(27, 33, 44, 0.75);
}

body .alert .close {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
}

.container {
    padding: 0;
}

.content-block {
    padding: 40px 50px 50px;
}

.dropshadow {
    box-shadow: 0 -10px 15px 15px rgba(0, 0, 0, .3);
}

#page-title {
    padding: 20px 50px;
    background: #579eb2;
}

#page-title h1 {
    margin: 6px 0 0 0;
    color: #fff;
    font-size: 32px;
}


/*------------------------------------------------------------

    BUTTONS

------------------------------------------------------------*/

.btn {
    padding: 15px 25px;
    font-weight: 600;
    border: 0;
    text-transform: uppercase;
    border-radius: 3px;
}

.btn-text {
    color: #579eb2;
    font-weight: 600;
    text-transform: uppercase;
    text-transform: uppercase;
    -webkit-transition: all .25s ease;
    -moz-transition: all .25s ease;
    -ms-transition: all .25s ease;
    -o-transition: all .25s ease;
    transition: all .25s ease;
}

.btn-text:hover,
.btn-text:active,
.btn-text:focus {
    color: #000000;
    text-decoration: none;
}

.btn-default {
    color: #fff;
    background-color: #dbb994;
    transition: all .3s ease;
}

.btn-default:hover,
.btn-default:focus,
.btn-default:active {
    color: #fff !important;
    background-color: #e8cbab !important;
}

.btn-primary {
    color: #fff;
    background-color: #579eb2;
    transition: all .3s ease;
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active {
    color: #fff !important;
    background-color: #67b4c9 !important;
}

.btn-dark {
    color: #fff;
    background-color: #000;
    transition: all .3s ease;
}

.btn-dark:hover,
.btn-dark:focus,
.btn-dark:active {
    color: #fff !important;
    background-color: #222 !important;
}


.list-three {
    overflow: hidden;
}

.list-three > li {
    float: left;
    padding: 0 20px;
    width: 33.33%;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
@media screen and (max-width: 1199px) {
    .list-three > li {
        width: 50%;
    }
}
@media screen and (max-width: 766px) {
    .list-three > li {
        width: 100%;
        padding: 0;
    }
}


/*------------------------------------------------------------

    FORMS & INPUT

------------------------------------------------------------*/

.honeypot {
    visibility: hidden;
    position: absolute;
    left: -9999px;
    top: -9999px;
}

.form-validation.bg-success {
    color: #3c763d;
    padding: 10px;
}

.form-validation.bg-danger {
    color: #a94442;
    padding: 10px;
}


/*------------------------------------------------------------

    HEADER

------------------------------------------------------------*/

#header-primary {
    padding-top: 40px;
    background: transparent;
}

#header-primary a.logo {
    display: inline-block;
    max-width: 350px;
    width: 85%;
}

#header-primary a.logo img {
    width: 100%;
}

#header-primary #navigation {
    margin: 20px auto 0;
    border: 0;
    border-radius: 0;
}

#header-primary .navbar-nav {
    padding: 10px 20px;
    width: 100%;
    background: #000000;
}

#header-primary .navbar-nav > li.alt {
    float: right;
}

#header-primary .navbar-nav > li.alt > a {
    margin: 0 2px;
    padding: 2px 20px;
    font-family: 'Open Sans';
    background: #579eb2 !important;
    border-radius: 3px;
}

#header-primary .navbar-nav > li.alt > a:hover {
    padding: 2px 20px;
    font-family: 'Open Sans';
    background: #67b4c9 !important;
}

#header-primary .navbar-nav > li > a {
    margin: 0 2px;
    padding: 4px 20px 0;
    color: #fff;
    font-family: Merriweather;
    font-size: 18px;
    line-height: 46px;
    transition: all .3s ease;
    border-radius: 3px;
}

#header-primary .navbar-nav > li > a:hover,
#header-primary .navbar-nav > li > a:focus,
#header-primary .navbar-nav > li > a:active {
    color: #fff;
    background: #333333;
}

#header-primary .navbar-nav > li.current > a,
#header-primary .navbar-nav > li.current > a:hover,
#header-primary .navbar-nav > li.current > a:focus,
#header-primary .navbar-nav > li.current > a:active {
    color: #fff;
    background: #579eb2;
}

#header-primary .contact {
    padding: 23px 0;
}

#header-primary .contact .btn {
    vertical-align: middle;
}

#header-primary .contact a.fb {
    font-size: 47px;
    color: #000;
    vertical-align: middle;
}

#header-primary .contact a.fb:hover {
    opacity: .7;
}


/* Mobile Menu */

#header-primary .icon-bar {
    background: #aaaaaa;
}

@media screen and (max-width: 767px) {

    .navbar-header {
        background: #000;
        padding: 0 15px;
    }
    
    #header-primary .navbar-nav {
        margin: 0;
    }
    
    #header-primary .navbar-nav > li.alt {
        float: none;    
        margin-top: 20px;
        text-align: center;
    }
    
    #header-primary .navbar-nav > li.alt a {
        background: transparent !important;
        border: 2px solid #444;
    }
    
    #header-primary .navbar-nav > li.alt a:before {
        content: "Call us today!";
        display: inline-block;
        padding-right: 15px;
    }
    
    #header-primary .navbar-nav > li.alt a:hover {
        background: #151515 !important;
    }
    
    #header-primary .navbar-collapse {
        border: 0;
    }
    
}



/*------------------------------------------------------------

    SLIDER

------------------------------------------------------------*/

#jumbotron {
    height: 400px;
    overflow: hidden;
    background: #222;
    border-top: 2px solid #579eb2;
}

#jumbotron .text-overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    display: block;
    padding: 0 2rem;
    width: 800px;
    max-width: 100%;
    color: #fff;
    text-align: center;
}

#jumbotron .text-overlay .tagline {
    font-size: 4.5rem;
    line-height: 1.25;
    margin-bottom: 15px;
    display: block;
    font-family: 'Great Vibes';
}

#jumbotron .text-overlay h1 {
    margin: 10px auto 20px;
    max-width: 710px;
    font-family: 'Open Sans';
    font-size: 1.4rem;
    font-weight: 300;
    line-height: 1.5;
}

#jumbotron .text-overlay p {
    margin-bottom: 20px;
    font-size: 18px;
}

#jumbotron video {
    margin-top: -150px;
    height: 660px;
}

@media screen and (max-width: 767px) {
    
    #jumbotron .text-overlay .tagline {
    font-size: 3rem;
    font-family: 'Merriweather';
    }
    
}

@media screen and (max-width: 480px) {
    
    #jumbotron .text-overlay .tagline {
        font-size: 3.5rem;
    }

    #jumbotron .text-overlay h1 {
        font-size: 1rem;
    }
    
}


/*------------------------------------------------------------

    HOMEPAGE

------------------------------------------------------------*/

#home .services-list {
    margin-top: 30px;
    font-size: 22px;
    font-weight: 300;
    overflow: hidden;
}

#home .services-list li {
    float: left;
    width: 50%;
}

#home .services-list li i {
    color: #579eb2;
}

@media screen and (max-width: 480px) {

    #home .services-list li {
        float: none;
        width: 100%;
    }

}


/*------------------------------------------------------------

    PROJECTS

------------------------------------------------------------*/

.project-img {
    width: 100%;
    height: 300px;
    background: #f0f0f0;
}


/*------------------------------------------------------------

    IMAGE GALLERY

------------------------------------------------------------*/

#gallery h3 {
    margin-bottom: 30px;
}

#sub-gallery-nav {
    margin: 0;
}

#sub-gallery-nav > li {
    padding: 0;
    margin-right: 1rem;
}

#sub-gallery-nav > li > a {
    color: #fff;
    text-transform: uppercase;
    padding: 8px 0;
    display: inline-block;
}

body#projects .thumbnail {
    position: relative;
    height: 60px;
    background-color: #f0f0f0;
    background-size: cover;
    background-position: 50%;
    overflow: hidden;
}

body#projects .thumbnail i {
    height: 60px;
    line-height: 60px;
}

body#gallery .thumbnail {
    position: relative;
    height: 200px;
    background-size: cover;
    background-position: 50%;
    overflow: hidden;
}

body#gallery .thumbnail i {
    height: 200px;
    line-height: 200px;
}

body .thumbnail i {
    display: block;
    background: rgba(87, 158, 178, 0.7);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    text-align: center;
    font-size: 16px;
    color: #fff;
    opacity: 0;
    transition: all .25s ease;
}

body .thumbnail:hover i {
    opacity: 1;
}

body .thumbnail,
body .thumbnail.active,
body .thumbnail:focus,
body .thumbnail:hover {
    border: 0 !important;
    border-radius: 0 !important;
}

body#gallery .thumbnail.lg {
    position: relative;
    height: 300px;
    background-size: cover;
    background-position: left bottom;
    overflow: hidden;
}

body#gallery .thumbnail.lg i {
    display: block;
    background: rgba(87, 158, 178, 0.7);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 300px;
    line-height: 300px;
    text-align: center;
    font-size: 60px;
    color: #fff;
    opacity: 0;
    transition: all .25s ease;
    border-radius: 0 !important;
}

body#gallery .thumbnail.lg:hover i {
    opacity: 1;
    border-radius: 0 !important;
}


/*------------------------------------------------------------

    CONTACT

------------------------------------------------------------*/


@media screen and (max-width: 991px) {

    #contact form {
        margin-top: 30px;
    }

}
.contact-methods strong {
    display: inline-block;
    width: 140px;
}


/*------------------------------------------------------------

    FOOTER

------------------------------------------------------------*/

#footer {
    color: #aaa;
    font-size: 14px;
}

@media screen and (max-width:797px) {
    
    #footer div .row > div  {
        text-align: left;
        margin-bottom: 20px;
    }
    
    #footer ul {
        display: none;
    }

}

#footer a {
    color: #aaa;
}

#footer .social-media {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: 100%;
    margin-bottom: 1rem;
}

#footer .social-media a {
    display: block;
    margin-left: .5rem;
    width: 3rem;
    height: 3rem;
    overflow: hidden;
    border-radius: .2rem;
    opacity: 1;
    transition: all .2s ease;
}

#footer .social-media a:hover {
    opacity: .7;
}

#footer .social-media a img {
    height: 100%;
}